"use server";
import getAllRegions from "~/server/actions/getAllRegions";
import CreateSubRegionForm from "./CreateSubRegionForm";
import getAllCountries from "~/server/actions/getAllCountries";

const allRegions = await getAllRegions();
const allCountries = await getAllCountries();

export default async function CreateSubRegion() {
  return (
    <div className="container flex w-full flex-col justify-center py-4">
      <h1 className="pt-4 text-2xl">
        Fill the form to create a new Sub Region
      </h1>
      <CreateSubRegionForm regions={allRegions} countries={allCountries} />
    </div>
  );
}
